<?php
class Textarea {
  /**
   * Gera o código HTML do textarea com os atributos fornecidos.
   * 
   * @param array $attributes Atributos para formação do HTML
   * @param string $value Valor do textarea
   * @return string O código HTML do textarea.
   */
  public static function render($attributes, $value = '') {
    $html = '<textarea';

    foreach ($attributes as $name => $attr_value)
      $html .= ' ' . $name . '="' . Helper::sanitize_value($attr_value) . '"';


    $html .= '>' . Helper::sanitize_value($value) . '</textarea>';

    return $html;
  }
}
